## ros-humble-realsense2-camera 4.54.1

=== CMakeLists.txt ===
# Copyright 2023 Intel Corporation. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

cmake_minimum_required(VERSION 3.5)
project(realsense2_camera)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()
option(BUILD_WITH_OPENMP "Use OpenMP" OFF)
option(SET_USER_BREAK_AT_STARTUP "Set user wait point in startup (for debug)" OFF)

# Compiler Defense Flags
if(UNIX OR APPLE)
  # Linker flags.
  if(${CMAKE_CXX_COMPILER_ID} STREQUAL "GNU" OR ${CMAKE_CXX_COMPILER_ID} STREQUAL "Intel")
    # GCC specific flags. ICC is compatible with them.
    set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -z noexecstack -z relro -z now")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -z noexecstack -z relro -z now")
  elseif(${CMAKE_CXX_COMPILER_ID} STREQUAL "Clang")
    # In Clang, -z flags are not compatible, they need to be passed to linker via -Wl.
    set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,-z,noexecstack -Wl,-z,relro -Wl,-z,now")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,-z,noexecstack -Wl,-z,relro -Wl,-z,now")
  endif()

  # Compiler flags.
  if(${CMAKE_CXX_COMPILER_ID} STREQUAL "GNU")
    # GCC specific flags.
    if(CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 4.9 OR CMAKE_CXX_COMPILER_VERSION VERSION_EQUAL 4.9)
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIE -fstack-protector-strong")
    else()
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIE -fstack-protector")
    endif()
  elseif(${CMAKE_CXX_COMPILER_ID} STREQUAL "Clang")
    # Clang is compatbile with some of the flags.
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIE -fstack-protector")
  elseif(${CMAKE_CXX_COMPILER_ID} STREQUAL "Intel")
    # Same as above, with exception that ICC compilation crashes with -fPIE option, even
    # though it uses -pie linker option that require -fPIE during compilation. Checksec
    # shows that it generates correct PIE anyway if only -pie is provided.
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector")
  endif()

  # Generic flags.
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC -fno-operator-names -Wformat -Wformat-security -Wall")
  # Dot not forward c++ flag to GPU beucause it is not supported
  set( CUDA_PROPAGATE_HOST_FLAGS OFF )
  set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -D_FORTIFY_SOURCE=2")
  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pie")
endif()

if(WIN32)
  add_definitions(-D_USE_MATH_DEFINES)
endif()

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif()

string(TOUPPER "${CMAKE_BUILD_TYPE}" uppercase_CMAKE_BUILD_TYPE)
if (${uppercase_CMAKE_BUILD_TYPE} STREQUAL "RELEASE")
    message(STATUS "Create Release Build.")
    set(CMAKE_CXX_FLAGS "-O2 ${CMAKE_CXX_FLAGS}")
else()
    message(STATUS "Create Debug Build.")
endif()

if(BUILD_WITH_OPENMP)
    find_package(OpenMP)
    if(NOT OpenMP_FOUND)
        message(FATAL_ERROR "\n\n OpenMP is missing!\n\n")
    else()
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS} -fopenmp")
        set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${OpenMP_EXE_LINKER_FLAGS}")
    endif()
endif()

if(SET_USER_BREAK_AT_STARTUP)
    message("GOT FLAG IN CmakeLists.txt")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DBPDEBUG")
endif()


find_package(ament_cmake REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(cv_bridge REQUIRED)
find_package(image_transport REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(realsense2_camera_msgs REQUIRED)
find_package(std_msgs REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(nav_msgs REQUIRED)
find_package(tf2_ros REQUIRED)
find_package(tf2 REQUIRED)
find_package(diagnostic_updater REQUIRED)

find_package(realsense2 2.54.1)
if(NOT realsense2_FOUND)
    message(FATAL_ERROR "\n\n Intel RealSense SDK 2.0 is missing, please install it from https://github.com/IntelRealSense/librealsense/releases\n\n")
endif()

#set(CMAKE_NO_SYSTEM_FROM_IMPORTED true)
include_directories(include)

set(node_plugins "")

set(SOURCES
    src/realsense_node_factory.cpp
    src/base_realsense_node.cpp
    src/parameters.cpp
    src/rs_node_setup.cpp
    src/ros_sensor.cpp
    src/ros_utils.cpp
    src/dynamic_params.cpp
    src/sensor_params.cpp
    src/named_filter.cpp
    src/profile_manager.cpp
    src/image_publisher.cpp
    src/tfs.cpp
  )

if(NOT DEFINED ENV{ROS_DISTRO})
  message(FATAL_ERROR "ROS_DISTRO is not defined." )
endif()
if("$ENV{ROS_DISTRO}" STREQUAL "dashing")
  message(STATUS "Build for ROS2 Dashing")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DDASHING")
  set(SOURCES "${SOURCES}" src/ros_param_backend_dashing.cpp)
elseif("$ENV{ROS_DISTRO}" STREQUAL "eloquent")
  message(STATUS "Build for ROS2 eloquent")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DELOQUENT")
  set(SOURCES "${SOURCES}" src/ros_param_backend_foxy.cpp)
elseif("$ENV{ROS_DISTRO}" STREQUAL "foxy")
  message(STATUS "Build for ROS2 Foxy")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DFOXY")
  set(SOURCES "${SOURCES}" src/ros_param_backend_foxy.cpp)
elseif("$ENV{ROS_DISTRO}" STREQUAL "galactic")
  message(STATUS "Build for ROS2 Galactic")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGALACTIC")
  set(SOURCES "${SOURCES}" src/ros_param_backend_foxy.cpp)
elseif("$ENV{ROS_DISTRO}" STREQUAL "humble")
  message(STATUS "Build for ROS2 Humble")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DHUMBLE")
  set(SOURCES "${SOURCES}" src/ros_param_backend_foxy.cpp)
elseif("$ENV{ROS_DISTRO}" STREQUAL "iron")
  message(STATUS "Build for ROS2 Iron")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DIRON")
  set(SOURCES "${SOURCES}" src/ros_param_backend_foxy.cpp)
elseif("$ENV{ROS_DISTRO}" STREQUAL "rolling")
  message(STATUS "Build for ROS2 Rolling")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DROLLING")
  set(SOURCES "${SOURCES}" src/ros_param_backend_rolling.cpp)
else()
  message(FATAL_ERROR "Unsupported ROS Distribution: " "$ENV{ROS_DISTRO}")
endif()

# The header 'cv_bridge/cv_bridge.hpp' was added in version 3.3.0. For older
# cv_bridge versions, we have to use the header 'cv_bridge/cv_bridge.h'.
if(${cv_bridge_VERSION} VERSION_GREATER_EQUAL "3.3.0")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DCV_BRDIGE_HAS_HPP")
endif()

# 'OnSetParametersCallbackType' is only defined for rclcpp 17 and onward.
if(${rclcpp_VERSION} VERSION_GREATER_EQUAL "17.0")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DRCLCPP_HAS_OnSetParametersCallbackType")
endif()

set(INCLUDES
    include/constants.h
    include/realsense_node_factory.h
    include/base_realsense_node.h
    include/ros_sensor.h
    include/ros_utils.h
    include/dynamic_params.h
    include/sensor_params.h
    include/named_filter.h
    include/ros_param_backend.h
    include/profile_manager.h
    include/image_publisher.h)


if (BUILD_TOOLS)

  include_directories(tools)
  set(INCLUDES ${INCLUDES}
    tools/frame_latency/frame_latency.h)

  set(SOURCES ${SOURCES}
    tools/frame_latency/frame_latency.cpp)
endif()

add_library(${PROJECT_NAME} SHARED
    ${INCLUDES}
    ${SOURCES}
)

target_link_libraries(${PROJECT_NAME}
    ${realsense2_LIBRARY}
    )

set(dependencies
  cv_bridge
  image_transport
  rclcpp
  rclcpp_components
  realsense2_camera_msgs
  std_msgs
  sensor_msgs
  nav_msgs
  tf2
  realsense2
  tf2_ros
  diagnostic_updater
)

ament_target_dependencies(${PROJECT_NAME}
  ${dependencies}
)

rclcpp_components_register_node(${PROJECT_NAME}
  PLUGIN "realsense2_camera::RealSenseNodeFactory"
  EXECUTABLE realsense2_camera_node
)

if(BUILD_TOOLS)

  rclcpp_components_register_node(${PROJECT_NAME}
  PLUGIN "rs2_ros::tools::frame_latency::FrameLatencyNode"
  EXECUTABLE realsense2_frame_latency_node
  )

endif()

# Install binaries
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

# Install headers
install(
  DIRECTORY include/
  DESTINATION include
)

# Install launch files
install(DIRECTORY 
    launch
    DESTINATION share/${PROJECT_NAME}
    )

# Test
if(BUILD_TESTING)
# This does nothing for now, note that ROS build farm build with BUILD_TESTING=1
endif()

# Ament exports
ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})
ament_export_dependencies(${dependencies})

ament_package()

=== debian/changelog ===
ros-humble-realsense2-camera (4.54.1-1jammy) jammy; urgency=high

  * Applying AlignDepth filter after Pointcloud
  * Publish /aligned_depth_to_color topic only when color frame present
  * Support Iron distro
  * Protect empty string dereference
  * Fix: /tf and /static_tf topics' inconsistencies
  * Revamped the TF related code
  * Fixing TF frame links b/w multi camera nodes when using custom names
  * Updated TF descriptions in launch py and readme
  * Fixing /tf topic has only TFs of last started sensor
  * add D430i support
  * Fix Swapped TFs Axes
  * replace stereo module with depth module
  * use rs2_to_ros to replace stereo module with depth moudle
  * calculate extriniscs twice in two opposite ways to save inverting rotation matrix
  * fix matrix rotation
  * Merge branch 'ros2-development' into readme_fix
  * invert translation
  * Added 'publish_tf' param in rs launch files
  * Indentation corrections
  * Fix: Don't publish /tf when publish_tf is false
  * use playback device for rosbags
  * Avoid configuring dynamic_tf_broadcaster within tf_publish_rate param's callback
  * Fix lower FPS in D405, D455
  * update rs_launch.py to support enable_auto_exposure and manual exposure
  * fix timestamp calculation metadata header to be aligned with metadata json timestamp
  * Expose USB port in DeviceInfo service
  * Use latched QoS for Extrinsic topic when intra-process is used
  * add cppcheck to GHA
  * Fix Apache License Header and Intel Copyrights
  * apply copyrights and license on project
  * Enable intra-process communication for point clouds
  * Fix ros2 parameter descriptions and range values
  * T265 clean up
  * fix float_to_double method
  * realsense2_camera/src/sensor_params.cpp
  * remove T265 device from ROS Wrapper - step1
  * Enable D457
  * Fix hdr_merge filter initialization in ros2 launch
  * if default profile is not defined, take the first available profile as default
  * changed to static_cast and added descriptor name and type
  * remove extra ';'
  * remove unused variable format_str
  * publish point cloud via unique shared pointer
  * make source backward compatible to older versions of cv_bridge and rclcpp
  * add hdr_merge.enable and depth_module.hdr_enabled to rs_launch.py
  * fix compilation errors
  * fix tabs
  * if default profile is not defined, take the first available profile as default
  * Fix ros2 sensor controls steps and add control default value to param description
  * Publish static transforms when intra porocess communication is enabled
  * Properly read camera config files in rs_launch.py
  * fix deprecated API
  * Add D457
  * Windows bring-up
  * publish actual IMU optical frame ID in IMU messages
  * Publish static tf for IMU frames
  * fix extrinsics calculation
  * fix ordered_pc arg prefix
  * publish IMU frames only if unite/sync imu method is not none
  * Publish static tf for IMU frames
  * add D430i support
  * Contributors: Arun Prasad, Arun Prasad V, Arun-Prasad-V, Christian Rauch, Daniel Honies, Gilad Bretter, Nir Azkiel, NirAz, Pranav Dhulipala, Samer Khshiboun, SamerKhshiboun, Stephan Wirth, Xiangyu, Yadunund, nvidia

 -- LibRealSense ROS Team <librs.ros@intel.com>  Mon, 26 Jun 2023 21:00:00 -0000

ros-humble-realsense2-camera (4.51.1-1jammy) jammy; urgency=high

  * Fix crash when activating IMU & aligned depth together
  * Fix rosbag device loading by preventing set_option to HDR/Gain/Exposure
  * Support ROS2 Humble
  * Publish real frame rate of realsense camera node topics/publishers
  * No need to start/stop sensors for align depth changes
  * Fix colorizer filter which returns null reference ptr
  * Fix align_depth enable/disable
  * Add colorizer.enable to rs_launch.py
  * Add copyright and license to all ROS2-beta source files
  * Fix CUDA suffix for pointcloud and align_depth topics
  * Add ROS build farm pre-release to ci
  * Contributors: Eran, NirAz, SamerKhshiboun

 -- LibRealSense ROS Team <librs.ros@intel.com>  Mon, 12 Sep 2022 21:00:00 -0000

ros-humble-realsense2-camera (4.0.4-1jammy) jammy; urgency=high

  * fix required packages for building debians for ros2-beta branch
  * Contributors: NirAz

 -- LibRealSense ROS Team <librs.ros@intel.com>  Sat, 19 Mar 2022 22:00:00 -0000

ros-humble-realsense2-camera (4.0.3-1jammy) jammy; urgency=high

  * Support intra-process zero-copy
  * Update README
  * Fix Galactic deprecated-declarations compilation warning
  * Fix Eloquent compilation error
  * Contributors: Eran, Nir-Az, SamerKhshiboun

 -- LibRealSense ROS Team <librs.ros@intel.com>  Tue, 15 Mar 2022 22:00:00 -0000

ros-humble-realsense2-camera (4.0.2-1jammy) jammy; urgency=high

  * version 4.4.0 changed to 4.0.0 in CHANGELOG
  * add frequency monitoring to /diagnostics topic.
  * fix topic_hz.py to recognize message type from topic name. (Naive)
  * move diagnostic updater for stream frequencies into the RosSensor class.
  * add frequency monitoring to /diagnostics topic.
  * fix galactic issue with undeclaring parameters
  * fix to support Rolling.
  * fix dynamic_params syntax.
  * fix issue with Galactic parameters set by default to static which prevents them from being undeclared.
  * Contributors: Haowei Wen, doronhi, remibettan

 -- LibRealSense ROS Team <librs.ros@intel.com>  Wed, 23 Feb 2022 22:00:00 -0000

ros-humble-realsense2-camera (4.0.1-1jammy) jammy; urgency=high

  * fix reset issue when multiple devices are connected
  * fix /rosout issue
  * fix PID for D405 device
  * fix bug: frame_id is based on camera_name
  * unite_imu_method is now changeable in runtime.
  * fix motion module default values.
  * add missing extrinsics topics
  * fix crash when camera disconnects.
  * fix header timestamp for metadata messages.
  * Contributors: nomumu, JamesChooWK, benlev, doronhi

 -- LibRealSense ROS Team <librs.ros@intel.com>  Mon, 31 Jan 2022 22:00:00 -0000

ros-humble-realsense2-camera (4.0.0-1jammy) jammy; urgency=high

  * changed parameters:


=== debian/control ===
Source: ros-humble-realsense2-camera
Section: misc
Priority: optional
Maintainer: LibRealSense ROS Team <librs.ros@intel.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-humble-ament-cmake, ros-humble-builtin-interfaces, ros-humble-cv-bridge, ros-humble-diagnostic-updater, ros-humble-geometry-msgs, ros-humble-image-transport, ros-humble-librealsense2, ros-humble-nav-msgs, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-realsense2-camera-msgs, ros-humble-ros-environment, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-tf2, ros-humble-tf2-ros, ros-humble-ros-workspace
Homepage: http://www.ros.org/wiki/RealSense
Standards-Version: 3.9.2

Package: ros-humble-realsense2-camera
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-humble-builtin-interfaces, ros-humble-cv-bridge, ros-humble-diagnostic-updater, ros-humble-geometry-msgs, ros-humble-image-transport, ros-humble-launch-ros, ros-humble-librealsense2, ros-humble-nav-msgs, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-realsense2-camera-msgs, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-tf2, ros-humble-tf2-ros, ros-humble-ros-workspace
Description: RealSense camera package allowing access to Intel SR300 and D400 3D cameras

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-realsense2-camera//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-realsense2-camera 4.55.1

=== debian/changelog ===
ros-humble-realsense2-camera (4.55.1-1bookworm) bookworm; urgency=high

  * PR #3106 <https://github.com/IntelRealSense/realsense-ros/issues/3106> from SamerKhshiboun: Remove unused parameter _is_profile_exist
  * PR #3098 <https://github.com/IntelRealSense/realsense-ros/issues/3098> from kadiredd: ROS live cam test fixes
  * PR #3094 <https://github.com/IntelRealSense/realsense-ros/issues/3094> from kadiredd: ROSCI infra for live camera testing
  * PR #3066 <https://github.com/IntelRealSense/realsense-ros/issues/3066> from SamerKhshiboun: Revert Foxy Build Support (From Source)
  * PR #3052 <https://github.com/IntelRealSense/realsense-ros/issues/3052> from Arun-Prasad-V: Support for selecting profile for each stream_type
  * PR #3056 <https://github.com/IntelRealSense/realsense-ros/issues/3056> from SamerKhshiboun: Add documentation for RealSense ROS2 Wrapper Windows installation
  * PR #3049 <https://github.com/IntelRealSense/realsense-ros/issues/3049> from Arun-Prasad-V: Applying Colorizer filter to Aligned-Depth image
  * PR #3053 <https://github.com/IntelRealSense/realsense-ros/issues/3053> from Nir-Az: Fix Coverity issues + remove empty warning log
  * PR #3007 <https://github.com/IntelRealSense/realsense-ros/issues/3007> from Arun-Prasad-V: Skip updating Exp 1,2 & Gain 1,2 when HDR is disabled
  * PR #3042 <https://github.com/IntelRealSense/realsense-ros/issues/3042> from kadiredd: Assert Fail if camera not found
  * PR #3008 <https://github.com/IntelRealSense/realsense-ros/issues/3008> from Arun-Prasad-V: Renamed GL GPU enable param
  * PR #2989 <https://github.com/IntelRealSense/realsense-ros/issues/2989> from Arun-Prasad-V: Dynamically switching b/w CPU & GPU processing
  * PR #3001 <https://github.com/IntelRealSense/realsense-ros/issues/3001> from deep0294: Update ReadMe to run ROS2 Unit Test
  * PR #2998 <https://github.com/IntelRealSense/realsense-ros/issues/2998> from SamerKhshiboun: fix calibration intrinsic fail
  * PR #2987 <https://github.com/IntelRealSense/realsense-ros/issues/2987> from SamerKhshiboun: Remove D465 SKU
  * PR #2984 <https://github.com/IntelRealSense/realsense-ros/issues/2984> from deep0294: Fix All Profiles Test
  * PR #2956 <https://github.com/IntelRealSense/realsense-ros/issues/2956> from Arun-Prasad-V: Extending LibRS's GL support to RS ROS2
  * PR #2953 <https://github.com/IntelRealSense/realsense-ros/issues/2953> from Arun-Prasad-V: Added urdf & mesh files for D405 model
  * PR #2940 <https://github.com/IntelRealSense/realsense-ros/issues/2940> from Arun-Prasad-V: Fixing the data_type of ROS Params exposure & gain
  * PR #2948 <https://github.com/IntelRealSense/realsense-ros/issues/2948> from Arun-Prasad-V: Disabling HDR during INIT
  * PR #2934 <https://github.com/IntelRealSense/realsense-ros/issues/2934> from Arun-Prasad-V: Disabling hdr while updating exposure & gain values
  * PR #2946 <https://github.com/IntelRealSense/realsense-ros/issues/2946> from gwen2018: fix ros random crash with error hw monitor command for asic temperature failed
  * PR #2865 <https://github.com/IntelRealSense/realsense-ros/issues/2865> from PrasRsRos: add live camera tests
  * PR #2891 <https://github.com/IntelRealSense/realsense-ros/issues/2891> from Arun-Prasad-V: revert PR2872
  * PR #2853 <https://github.com/IntelRealSense/realsense-ros/issues/2853> from Arun-Prasad-V: Frame latency for the '/topic' provided by user
  * PR #2872 <https://github.com/IntelRealSense/realsense-ros/issues/2872> from Arun-Prasad-V: Updating _camera_name with RS node's name
  * PR #2878 <https://github.com/IntelRealSense/realsense-ros/issues/2878> from Arun-Prasad-V: Updated ros2 examples and readme
  * PR #2841 <https://github.com/IntelRealSense/realsense-ros/issues/2841> from SamerKhshiboun: Remove Dashing, Eloquent, Foxy, L500 and SR300 support
  * PR #2868 <https://github.com/IntelRealSense/realsense-ros/issues/2868> from Arun-Prasad-V: Fix Pointcloud topic frame_id
  * PR #2849 <https://github.com/IntelRealSense/realsense-ros/issues/2849> from Arun-Prasad-V: Create /imu topic only when motion streams enabled
  * PR #2847 <https://github.com/IntelRealSense/realsense-ros/issues/2847> from Arun-Prasad-V: Updated rs_launch param names
  * PR #2839 <https://github.com/IntelRealSense/realsense-ros/issues/2839> from Arun-Prasad: Added ros2 examples
  * PR #2861 <https://github.com/IntelRealSense/realsense-ros/issues/2861> from SamerKhshiboun: fix readme and nodefactory for ros2 run
  * PR #2859 <https://github.com/IntelRealSense/realsense-ros/issues/2859> from PrasRsRos: Fix tests (topic now has camera name)
  * PR #2857 <https://github.com/IntelRealSense/realsense-ros/issues/2857> from lge-ros2: Apply camera name in topics
  * PR #2840 <https://github.com/IntelRealSense/realsense-ros/issues/2840> from SamerKhshiboun: Support Depth, IR and Color formats in ROS2
  * PR #2764 <https://github.com/IntelRealSense/realsense-ros/issues/2764> from lge-ros2 : support modifiable camera namespace
  * PR #2830 <https://github.com/IntelRealSense/realsense-ros/issues/2830> from SamerKhshiboun: Add RGBD + reduce changes between hkr and development
  * PR #2811 <https://github.com/IntelRealSense/realsense-ros/issues/2811> from Arun-Prasad-V: Exposing stream formats params to user
  * PR #2825 <https://github.com/IntelRealSense/realsense-ros/issues/2825> from SamerKhshiboun: Fix align_depth + add test
  * PR #2822 <https://github.com/IntelRealSense/realsense-ros/issues/2822> from Arun-Prasad-V: Updated rs_launch configurations
  * PR #2726 <https://github.com/IntelRealSense/realsense-ros/issues/2726> from PrasRsRos: Integration test template
  * PR #2742 <https://github.com/IntelRealSense/realsense-ros/issues/2742> from danielhonies:Update rs_launch.py
  * PR #2806 <https://github.com/IntelRealSense/realsense-ros/issues/2806> from Arun-Prasad-V: Enabling RGB8 Infrared stream


=== debian/control ===
Source: ros-humble-realsense2-camera
Section: misc
Priority: optional
Maintainer: LibRealSense ROS Team <librs.ros@intel.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, python3-numpy <!nocheck>, python3-requests <!nocheck>, python3-tqdm <!nocheck>, ros-humble-ament-cmake, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-cmake-pytest <!nocheck>, ros-humble-builtin-interfaces, ros-humble-cv-bridge, ros-humble-diagnostic-updater, ros-humble-geometry-msgs, ros-humble-image-transport, ros-humble-launch-pytest <!nocheck>, ros-humble-launch-testing <!nocheck>, ros-humble-librealsense2, ros-humble-nav-msgs, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-realsense2-camera-msgs, ros-humble-ros-environment, ros-humble-ros2topic <!nocheck>, ros-humble-sensor-msgs, ros-humble-sensor-msgs-py <!nocheck>, ros-humble-std-msgs, ros-humble-tf2, ros-humble-tf2-ros, ros-humble-tf2-ros-py <!nocheck>, ros-humble-ros-workspace
Homepage: http://www.ros.org/wiki/RealSense
Standards-Version: 3.9.2

Package: ros-humble-realsense2-camera
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-humble-builtin-interfaces, ros-humble-cv-bridge, ros-humble-diagnostic-updater, ros-humble-geometry-msgs, ros-humble-image-transport, ros-humble-launch-ros, ros-humble-librealsense2, ros-humble-nav-msgs, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-realsense2-camera-msgs, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-tf2, ros-humble-tf2-ros, ros-humble-ros-workspace
Description: RealSense camera package allowing access to Intel D400 3D cameras

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-realsense2-camera//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-realsense2-camera//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-realsense2-camera//opt/ros/humble/opt/realsense2_camera/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
